module Ubc.Parse.Syntax.Operators
( UnaryOperator(..)
, BinaryOperator(..)
)
where

data UnaryOperator = LogicNot
        deriving (Show)

data BinaryOperator = Plus
        | Minus
        | Multiply
        | Divide
        | Modulo
        | ShiftLeft
        | ShiftRight
        | LessThan
        | GreaterThan
        | LessEqual
        | GreaterEqual
        | Equal
        | NotEqual
        | BitAnd
        | BitOr
        | BitXor
        | LogicAnd
        | LogicOr
        | Assign
        deriving (Show)
