module Ubc.Parse.Syntax.VariableType
(VariableType(..)
, fromString
)
where

data VariableType = BuiltInI32 
        | BuiltInU32 
        | BuiltInF32 
        | UserStruct String
        deriving (Show, Eq)

fromString :: String -> VariableType
fromString "i32" = BuiltInI32
fromString "u32" = BuiltInU32
fromString "f32" = BuiltInF32
fromString s     = UserStruct s
